aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2020-05-04 17:12:28 +0200
committerVratko Polak <vrpolak@cisco.com>2020-05-04 17:12:28 +0200
commita54bbbf9cc90213bafc271e04c80ddf98c32d9c4 (patch)
tree811aa13bfc35406863b083faa0aee674c3430aa8
parent5c19210b6d2f403f40e674fe7f0e4dafeebfa0ab (diff)
Print more info when checking out oper branch
Change-Id: Ic8d1080edacea1d27eb80e61f48cd4cd4430c139 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
-rw-r--r--resources/libraries/bash/function/branch.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/resources/libraries/bash/function/branch.sh b/resources/libraries/bash/function/branch.sh
index e0377d6324..96609c8227 100644
--- a/resources/libraries/bash/function/branch.sh
+++ b/resources/libraries/bash/function/branch.sh
@@ -28,6 +28,11 @@ function checkout_csit_for_vpp () {
# When the refspec is overriden, the computation is still performed,
# in order to show (on Sandbox) the computation is correct.
#
+ # Git status and git log -1 are executed, so the current state
+ # of the checked-out branch is visible.
+ # This is mainly useful for identifying trending anomalies
+ # caused by changes in CSIT code.
+ #
# On failure, working directory could remain changed to ${CSIT_DIR}.
# TODO: It could be possible to use ERR trap to force popd,
# but with "set -x" the noise is not worth it,
@@ -82,5 +87,7 @@ function checkout_csit_for_vpp () {
else
git checkout "${csit_branch}" || die
fi
+ git status || die
+ git log -1 || die
popd || die
}